package com.mortals.xhx.module.check.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.check.model.CheckGoworkRecordEntity;
/**
* 办件绩效核查信息查询对象
*
* @author zxfei
* @date 2023-07-08
*/
public class CheckGoworkRecordQuery extends CheckGoworkRecordEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 记录ID */
    private Long recordIdStart;

    /** 结束 记录ID */
    private Long recordIdEnd;

    /** 增加 记录ID */
    private Long recordIdIncrement;

    /** 记录ID列表 */
    private List <Long> recordIdList;

    /** 记录ID排除列表 */
    private List <Long> recordIdNotList;

    /** 开始 员工ID */
    private Long staffIdStart;

    /** 结束 员工ID */
    private Long staffIdEnd;

    /** 增加 员工ID */
    private Long staffIdIncrement;

    /** 员工ID列表 */
    private List <Long> staffIdList;

    /** 员工ID排除列表 */
    private List <Long> staffIdNotList;

    /** 员工姓名 */
    private List<String> staffNameList;

    /** 员工姓名排除列表 */
    private List <String> staffNameNotList;
    /** 工号 */
    private List<String> workNumList;

    /** 工号排除列表 */
    private List <String> workNumNotList;
    /** 窗口编号 */
    private List<String> windowNumList;

    /** 窗口编号排除列表 */
    private List <String> windowNumNotList;
    /** 开始 所属部门 */
    private Long deptIdStart;

    /** 结束 所属部门 */
    private Long deptIdEnd;

    /** 增加 所属部门 */
    private Long deptIdIncrement;

    /** 所属部门列表 */
    private List <Long> deptIdList;

    /** 所属部门排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 办件编码 */
    private List<String> goworkCodeList;

    /** 办件编码排除列表 */
    private List <String> goworkCodeNotList;
    /** 办件所属部门 */
    private List<String> goworkDeptsList;

    /** 办件所属部门排除列表 */
    private List <String> goworkDeptsNotList;
    /** 事项名称 */
    private List<String> matterlNameList;

    /** 事项名称排除列表 */
    private List <String> matterlNameNotList;
    /** 开始 办理时间 */
    private String goworkTimeStart;

    /** 结束 办理时间 */
    private String goworkTimeEnd;

    /** 开始 绩效规则id */
    private Long ruleIdStart;

    /** 结束 绩效规则id */
    private Long ruleIdEnd;

    /** 增加 绩效规则id */
    private Long ruleIdIncrement;

    /** 绩效规则id列表 */
    private List <Long> ruleIdList;

    /** 绩效规则id排除列表 */
    private List <Long> ruleIdNotList;

    /** 规则名称 */
    private List<String> ruleNameList;

    /** 规则名称排除列表 */
    private List <String> ruleNameNotList;
    /** 开始 扣分方式(1.系统自动,2.人工添加) */
    private Integer subMethodStart;

    /** 结束 扣分方式(1.系统自动,2.人工添加) */
    private Integer subMethodEnd;

    /** 增加 扣分方式(1.系统自动,2.人工添加) */
    private Integer subMethodIncrement;

    /** 扣分方式(1.系统自动,2.人工添加)列表 */
    private List <Integer> subMethodList;

    /** 扣分方式(1.系统自动,2.人工添加)排除列表 */
    private List <Integer> subMethodNotList;

    /** 扣分人员 */
    private List<String> deductPersonList;

    /** 扣分人员排除列表 */
    private List <String> deductPersonNotList;
    /** 开始 扣分时间 */
    private String deductTimeStart;

    /** 结束 扣分时间 */
    private String deductTimeEnd;

    /** 开始 扣分或增加分值 */
    private BigDecimal scoreStart;

    /** 结束 扣分或增加分值 */
    private BigDecimal scoreEnd;

    /** 增加 扣分或增加分值 */
    private BigDecimal scoreIncrement;

    /** 扣分或增加分值列表 */
    private List <BigDecimal> scoreList;

    /** 扣分或增加分值排除列表 */
    private List <BigDecimal> scoreNotList;

    /** 核查人员 */
    private List<String> checkPersonList;

    /** 核查人员排除列表 */
    private List <String> checkPersonNotList;
    /** 开始 核查时间 */
    private String checkTimeStart;

    /** 结束 核查时间 */
    private String checkTimeEnd;

    /** 核查说明 */
    private List<String> checkDescList;

    /** 核查说明排除列表 */
    private List <String> checkDescNotList;
    /** 核查结果 */
    private List<String> checkResultList;

    /** 核查结果排除列表 */
    private List <String> checkResultNotList;
    /** 开始 处理状态(1.未处理,2.已处理) */
    private Integer checkStatusStart;

    /** 结束 处理状态(1.未处理,2.已处理) */
    private Integer checkStatusEnd;

    /** 增加 处理状态(1.未处理,2.已处理) */
    private Integer checkStatusIncrement;

    /** 处理状态(1.未处理,2.已处理)列表 */
    private List <Integer> checkStatusList;

    /** 处理状态(1.未处理,2.已处理)排除列表 */
    private List <Integer> checkStatusNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 附件名称，多个逗号分割 */
    private List<String> fileNamesList;

    /** 附件名称，多个逗号分割排除列表 */
    private List <String> fileNamesNotList;
    /** 附件下载地址，多个逗号分割 */
    private List<String> filePathsList;

    /** 附件下载地址，多个逗号分割排除列表 */
    private List <String> filePathsNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CheckGoworkRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CheckGoworkRecordQuery> andConditionList;

    public CheckGoworkRecordQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 记录ID
    * @return recordIdStart
    */
    public Long getRecordIdStart(){
        return this.recordIdStart;
    }

    /**
    * 设置 开始 记录ID
    * @param recordIdStart
    */
    public void setRecordIdStart(Long recordIdStart){
        this.recordIdStart = recordIdStart;
    }

    /**
    * 获取 结束 记录ID
    * @return $recordIdEnd
    */
    public Long getRecordIdEnd(){
        return this.recordIdEnd;
    }

    /**
    * 设置 结束 记录ID
    * @param recordIdEnd
    */
    public void setRecordIdEnd(Long recordIdEnd){
        this.recordIdEnd = recordIdEnd;
    }

    /**
    * 获取 增加 记录ID
    * @return recordIdIncrement
    */
    public Long getRecordIdIncrement(){
        return this.recordIdIncrement;
    }

    /**
    * 设置 增加 记录ID
    * @param recordIdIncrement
    */
    public void setRecordIdIncrement(Long recordIdIncrement){
        this.recordIdIncrement = recordIdIncrement;
    }

    /**
    * 获取 记录ID
    * @return recordIdList
    */
    public List<Long> getRecordIdList(){
        return this.recordIdList;
    }

    /**
    * 设置 记录ID
    * @param recordIdList
    */
    public void setRecordIdList(List<Long> recordIdList){
        this.recordIdList = recordIdList;
    }

    /**
    * 获取 记录ID
    * @return recordIdNotList
    */
    public List<Long> getRecordIdNotList(){
        return this.recordIdNotList;
    }

    /**
    * 设置 记录ID
    * @param recordIdNotList
    */
    public void setRecordIdNotList(List<Long> recordIdNotList){
        this.recordIdNotList = recordIdNotList;
    }


    /**
    * 获取 开始 员工ID
    * @return staffIdStart
    */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
    * 获取 结束 员工ID
    * @return $staffIdEnd
    */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
    * 获取 增加 员工ID
    * @return staffIdIncrement
    */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
    * 获取 员工ID
    * @return staffIdList
    */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
    * 获取 员工ID
    * @return staffIdNotList
    */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
    * 设置 员工ID
    * @param staffIdNotList
    */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
    * 获取 员工姓名
    * @return staffNameList
    */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
    * 获取 员工姓名
    * @return staffNameNotList
    */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameNotList
    */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
    * 获取 工号
    * @return workNumList
    */
    public List<String> getWorkNumList(){
        return this.workNumList;
    }

    /**
    * 设置 工号
    * @param workNumList
    */
    public void setWorkNumList(List<String> workNumList){
        this.workNumList = workNumList;
    }

    /**
    * 获取 工号
    * @return workNumNotList
    */
    public List<String> getWorkNumNotList(){
        return this.workNumNotList;
    }

    /**
    * 设置 工号
    * @param workNumNotList
    */
    public void setWorkNumNotList(List<String> workNumNotList){
        this.workNumNotList = workNumNotList;
    }

    /**
    * 获取 窗口编号
    * @return windowNumList
    */
    public List<String> getWindowNumList(){
        return this.windowNumList;
    }

    /**
    * 设置 窗口编号
    * @param windowNumList
    */
    public void setWindowNumList(List<String> windowNumList){
        this.windowNumList = windowNumList;
    }

    /**
    * 获取 窗口编号
    * @return windowNumNotList
    */
    public List<String> getWindowNumNotList(){
        return this.windowNumNotList;
    }

    /**
    * 设置 窗口编号
    * @param windowNumNotList
    */
    public void setWindowNumNotList(List<String> windowNumNotList){
        this.windowNumNotList = windowNumNotList;
    }

    /**
    * 获取 开始 所属部门
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 所属部门
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 所属部门
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 所属部门
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 所属部门
    * @return deptIdNotList
    */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
    * 设置 所属部门
    * @param deptIdNotList
    */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
    * 获取 所属部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 所属部门名称
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 办件编码
    * @return goworkCodeList
    */
    public List<String> getGoworkCodeList(){
        return this.goworkCodeList;
    }

    /**
    * 设置 办件编码
    * @param goworkCodeList
    */
    public void setGoworkCodeList(List<String> goworkCodeList){
        this.goworkCodeList = goworkCodeList;
    }

    /**
    * 获取 办件编码
    * @return goworkCodeNotList
    */
    public List<String> getGoworkCodeNotList(){
        return this.goworkCodeNotList;
    }

    /**
    * 设置 办件编码
    * @param goworkCodeNotList
    */
    public void setGoworkCodeNotList(List<String> goworkCodeNotList){
        this.goworkCodeNotList = goworkCodeNotList;
    }

    /**
    * 获取 办件所属部门
    * @return goworkDeptsList
    */
    public List<String> getGoworkDeptsList(){
        return this.goworkDeptsList;
    }

    /**
    * 设置 办件所属部门
    * @param goworkDeptsList
    */
    public void setGoworkDeptsList(List<String> goworkDeptsList){
        this.goworkDeptsList = goworkDeptsList;
    }

    /**
    * 获取 办件所属部门
    * @return goworkDeptsNotList
    */
    public List<String> getGoworkDeptsNotList(){
        return this.goworkDeptsNotList;
    }

    /**
    * 设置 办件所属部门
    * @param goworkDeptsNotList
    */
    public void setGoworkDeptsNotList(List<String> goworkDeptsNotList){
        this.goworkDeptsNotList = goworkDeptsNotList;
    }

    /**
    * 获取 事项名称
    * @return matterlNameList
    */
    public List<String> getMatterlNameList(){
        return this.matterlNameList;
    }

    /**
    * 设置 事项名称
    * @param matterlNameList
    */
    public void setMatterlNameList(List<String> matterlNameList){
        this.matterlNameList = matterlNameList;
    }

    /**
    * 获取 事项名称
    * @return matterlNameNotList
    */
    public List<String> getMatterlNameNotList(){
        return this.matterlNameNotList;
    }

    /**
    * 设置 事项名称
    * @param matterlNameNotList
    */
    public void setMatterlNameNotList(List<String> matterlNameNotList){
        this.matterlNameNotList = matterlNameNotList;
    }

    /**
    * 获取 开始 办理时间
    * @return goworkTimeStart
    */
    public String getGoworkTimeStart(){
        return this.goworkTimeStart;
    }

    /**
    * 设置 开始 办理时间
    * @param goworkTimeStart
    */
    public void setGoworkTimeStart(String goworkTimeStart){
        this.goworkTimeStart = goworkTimeStart;
    }

    /**
    * 获取 结束 办理时间
    * @return goworkTimeEnd
    */
    public String getGoworkTimeEnd(){
        return this.goworkTimeEnd;
    }

    /**
    * 设置 结束 办理时间
    * @param goworkTimeEnd
    */
    public void setGoworkTimeEnd(String goworkTimeEnd){
        this.goworkTimeEnd = goworkTimeEnd;
    }

    /**
    * 获取 开始 绩效规则id
    * @return ruleIdStart
    */
    public Long getRuleIdStart(){
        return this.ruleIdStart;
    }

    /**
    * 设置 开始 绩效规则id
    * @param ruleIdStart
    */
    public void setRuleIdStart(Long ruleIdStart){
        this.ruleIdStart = ruleIdStart;
    }

    /**
    * 获取 结束 绩效规则id
    * @return $ruleIdEnd
    */
    public Long getRuleIdEnd(){
        return this.ruleIdEnd;
    }

    /**
    * 设置 结束 绩效规则id
    * @param ruleIdEnd
    */
    public void setRuleIdEnd(Long ruleIdEnd){
        this.ruleIdEnd = ruleIdEnd;
    }

    /**
    * 获取 增加 绩效规则id
    * @return ruleIdIncrement
    */
    public Long getRuleIdIncrement(){
        return this.ruleIdIncrement;
    }

    /**
    * 设置 增加 绩效规则id
    * @param ruleIdIncrement
    */
    public void setRuleIdIncrement(Long ruleIdIncrement){
        this.ruleIdIncrement = ruleIdIncrement;
    }

    /**
    * 获取 绩效规则id
    * @return ruleIdList
    */
    public List<Long> getRuleIdList(){
        return this.ruleIdList;
    }

    /**
    * 设置 绩效规则id
    * @param ruleIdList
    */
    public void setRuleIdList(List<Long> ruleIdList){
        this.ruleIdList = ruleIdList;
    }

    /**
    * 获取 绩效规则id
    * @return ruleIdNotList
    */
    public List<Long> getRuleIdNotList(){
        return this.ruleIdNotList;
    }

    /**
    * 设置 绩效规则id
    * @param ruleIdNotList
    */
    public void setRuleIdNotList(List<Long> ruleIdNotList){
        this.ruleIdNotList = ruleIdNotList;
    }


    /**
    * 获取 规则名称
    * @return ruleNameList
    */
    public List<String> getRuleNameList(){
        return this.ruleNameList;
    }

    /**
    * 设置 规则名称
    * @param ruleNameList
    */
    public void setRuleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
    }

    /**
    * 获取 规则名称
    * @return ruleNameNotList
    */
    public List<String> getRuleNameNotList(){
        return this.ruleNameNotList;
    }

    /**
    * 设置 规则名称
    * @param ruleNameNotList
    */
    public void setRuleNameNotList(List<String> ruleNameNotList){
        this.ruleNameNotList = ruleNameNotList;
    }

    /**
    * 获取 开始 扣分方式(1.系统自动,2.人工添加)
    * @return subMethodStart
    */
    public Integer getSubMethodStart(){
        return this.subMethodStart;
    }

    /**
    * 设置 开始 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodStart
    */
    public void setSubMethodStart(Integer subMethodStart){
        this.subMethodStart = subMethodStart;
    }

    /**
    * 获取 结束 扣分方式(1.系统自动,2.人工添加)
    * @return $subMethodEnd
    */
    public Integer getSubMethodEnd(){
        return this.subMethodEnd;
    }

    /**
    * 设置 结束 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodEnd
    */
    public void setSubMethodEnd(Integer subMethodEnd){
        this.subMethodEnd = subMethodEnd;
    }

    /**
    * 获取 增加 扣分方式(1.系统自动,2.人工添加)
    * @return subMethodIncrement
    */
    public Integer getSubMethodIncrement(){
        return this.subMethodIncrement;
    }

    /**
    * 设置 增加 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodIncrement
    */
    public void setSubMethodIncrement(Integer subMethodIncrement){
        this.subMethodIncrement = subMethodIncrement;
    }

    /**
    * 获取 扣分方式(1.系统自动,2.人工添加)
    * @return subMethodList
    */
    public List<Integer> getSubMethodList(){
        return this.subMethodList;
    }

    /**
    * 设置 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodList
    */
    public void setSubMethodList(List<Integer> subMethodList){
        this.subMethodList = subMethodList;
    }

    /**
    * 获取 扣分方式(1.系统自动,2.人工添加)
    * @return subMethodNotList
    */
    public List<Integer> getSubMethodNotList(){
        return this.subMethodNotList;
    }

    /**
    * 设置 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodNotList
    */
    public void setSubMethodNotList(List<Integer> subMethodNotList){
        this.subMethodNotList = subMethodNotList;
    }


    /**
    * 获取 扣分人员
    * @return deductPersonList
    */
    public List<String> getDeductPersonList(){
        return this.deductPersonList;
    }

    /**
    * 设置 扣分人员
    * @param deductPersonList
    */
    public void setDeductPersonList(List<String> deductPersonList){
        this.deductPersonList = deductPersonList;
    }

    /**
    * 获取 扣分人员
    * @return deductPersonNotList
    */
    public List<String> getDeductPersonNotList(){
        return this.deductPersonNotList;
    }

    /**
    * 设置 扣分人员
    * @param deductPersonNotList
    */
    public void setDeductPersonNotList(List<String> deductPersonNotList){
        this.deductPersonNotList = deductPersonNotList;
    }

    /**
    * 获取 开始 扣分时间
    * @return deductTimeStart
    */
    public String getDeductTimeStart(){
        return this.deductTimeStart;
    }

    /**
    * 设置 开始 扣分时间
    * @param deductTimeStart
    */
    public void setDeductTimeStart(String deductTimeStart){
        this.deductTimeStart = deductTimeStart;
    }

    /**
    * 获取 结束 扣分时间
    * @return deductTimeEnd
    */
    public String getDeductTimeEnd(){
        return this.deductTimeEnd;
    }

    /**
    * 设置 结束 扣分时间
    * @param deductTimeEnd
    */
    public void setDeductTimeEnd(String deductTimeEnd){
        this.deductTimeEnd = deductTimeEnd;
    }

    /**
    * 获取 开始 扣分或增加分值
    * @return scoreStart
    */
    public BigDecimal getScoreStart(){
        return this.scoreStart;
    }

    /**
    * 设置 开始 扣分或增加分值
    * @param scoreStart
    */
    public void setScoreStart(BigDecimal scoreStart){
        this.scoreStart = scoreStart;
    }

    /**
    * 获取 结束 扣分或增加分值
    * @return $scoreEnd
    */
    public BigDecimal getScoreEnd(){
        return this.scoreEnd;
    }

    /**
    * 设置 结束 扣分或增加分值
    * @param scoreEnd
    */
    public void setScoreEnd(BigDecimal scoreEnd){
        this.scoreEnd = scoreEnd;
    }

    /**
    * 获取 增加 扣分或增加分值
    * @return scoreIncrement
    */
    public BigDecimal getScoreIncrement(){
        return this.scoreIncrement;
    }

    /**
    * 设置 增加 扣分或增加分值
    * @param scoreIncrement
    */
    public void setScoreIncrement(BigDecimal scoreIncrement){
        this.scoreIncrement = scoreIncrement;
    }

    /**
    * 获取 扣分或增加分值
    * @return scoreList
    */
    public List<BigDecimal> getScoreList(){
        return this.scoreList;
    }

    /**
    * 设置 扣分或增加分值
    * @param scoreList
    */
    public void setScoreList(List<BigDecimal> scoreList){
        this.scoreList = scoreList;
    }

    /**
    * 获取 扣分或增加分值
    * @return scoreNotList
    */
    public List<BigDecimal> getScoreNotList(){
        return this.scoreNotList;
    }

    /**
    * 设置 扣分或增加分值
    * @param scoreNotList
    */
    public void setScoreNotList(List<BigDecimal> scoreNotList){
        this.scoreNotList = scoreNotList;
    }


    /**
    * 获取 核查人员
    * @return checkPersonList
    */
    public List<String> getCheckPersonList(){
        return this.checkPersonList;
    }

    /**
    * 设置 核查人员
    * @param checkPersonList
    */
    public void setCheckPersonList(List<String> checkPersonList){
        this.checkPersonList = checkPersonList;
    }

    /**
    * 获取 核查人员
    * @return checkPersonNotList
    */
    public List<String> getCheckPersonNotList(){
        return this.checkPersonNotList;
    }

    /**
    * 设置 核查人员
    * @param checkPersonNotList
    */
    public void setCheckPersonNotList(List<String> checkPersonNotList){
        this.checkPersonNotList = checkPersonNotList;
    }

    /**
    * 获取 开始 核查时间
    * @return checkTimeStart
    */
    public String getCheckTimeStart(){
        return this.checkTimeStart;
    }

    /**
    * 设置 开始 核查时间
    * @param checkTimeStart
    */
    public void setCheckTimeStart(String checkTimeStart){
        this.checkTimeStart = checkTimeStart;
    }

    /**
    * 获取 结束 核查时间
    * @return checkTimeEnd
    */
    public String getCheckTimeEnd(){
        return this.checkTimeEnd;
    }

    /**
    * 设置 结束 核查时间
    * @param checkTimeEnd
    */
    public void setCheckTimeEnd(String checkTimeEnd){
        this.checkTimeEnd = checkTimeEnd;
    }

    /**
    * 获取 核查说明
    * @return checkDescList
    */
    public List<String> getCheckDescList(){
        return this.checkDescList;
    }

    /**
    * 设置 核查说明
    * @param checkDescList
    */
    public void setCheckDescList(List<String> checkDescList){
        this.checkDescList = checkDescList;
    }

    /**
    * 获取 核查说明
    * @return checkDescNotList
    */
    public List<String> getCheckDescNotList(){
        return this.checkDescNotList;
    }

    /**
    * 设置 核查说明
    * @param checkDescNotList
    */
    public void setCheckDescNotList(List<String> checkDescNotList){
        this.checkDescNotList = checkDescNotList;
    }

    /**
    * 获取 核查结果
    * @return checkResultList
    */
    public List<String> getCheckResultList(){
        return this.checkResultList;
    }

    /**
    * 设置 核查结果
    * @param checkResultList
    */
    public void setCheckResultList(List<String> checkResultList){
        this.checkResultList = checkResultList;
    }

    /**
    * 获取 核查结果
    * @return checkResultNotList
    */
    public List<String> getCheckResultNotList(){
        return this.checkResultNotList;
    }

    /**
    * 设置 核查结果
    * @param checkResultNotList
    */
    public void setCheckResultNotList(List<String> checkResultNotList){
        this.checkResultNotList = checkResultNotList;
    }

    /**
    * 获取 开始 处理状态(1.未处理,2.已处理)
    * @return checkStatusStart
    */
    public Integer getCheckStatusStart(){
        return this.checkStatusStart;
    }

    /**
    * 设置 开始 处理状态(1.未处理,2.已处理)
    * @param checkStatusStart
    */
    public void setCheckStatusStart(Integer checkStatusStart){
        this.checkStatusStart = checkStatusStart;
    }

    /**
    * 获取 结束 处理状态(1.未处理,2.已处理)
    * @return $checkStatusEnd
    */
    public Integer getCheckStatusEnd(){
        return this.checkStatusEnd;
    }

    /**
    * 设置 结束 处理状态(1.未处理,2.已处理)
    * @param checkStatusEnd
    */
    public void setCheckStatusEnd(Integer checkStatusEnd){
        this.checkStatusEnd = checkStatusEnd;
    }

    /**
    * 获取 增加 处理状态(1.未处理,2.已处理)
    * @return checkStatusIncrement
    */
    public Integer getCheckStatusIncrement(){
        return this.checkStatusIncrement;
    }

    /**
    * 设置 增加 处理状态(1.未处理,2.已处理)
    * @param checkStatusIncrement
    */
    public void setCheckStatusIncrement(Integer checkStatusIncrement){
        this.checkStatusIncrement = checkStatusIncrement;
    }

    /**
    * 获取 处理状态(1.未处理,2.已处理)
    * @return checkStatusList
    */
    public List<Integer> getCheckStatusList(){
        return this.checkStatusList;
    }

    /**
    * 设置 处理状态(1.未处理,2.已处理)
    * @param checkStatusList
    */
    public void setCheckStatusList(List<Integer> checkStatusList){
        this.checkStatusList = checkStatusList;
    }

    /**
    * 获取 处理状态(1.未处理,2.已处理)
    * @return checkStatusNotList
    */
    public List<Integer> getCheckStatusNotList(){
        return this.checkStatusNotList;
    }

    /**
    * 设置 处理状态(1.未处理,2.已处理)
    * @param checkStatusNotList
    */
    public void setCheckStatusNotList(List<Integer> checkStatusNotList){
        this.checkStatusNotList = checkStatusNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 附件名称，多个逗号分割
    * @return fileNamesList
    */
    public List<String> getFileNamesList(){
        return this.fileNamesList;
    }

    /**
    * 设置 附件名称，多个逗号分割
    * @param fileNamesList
    */
    public void setFileNamesList(List<String> fileNamesList){
        this.fileNamesList = fileNamesList;
    }

    /**
    * 获取 附件名称，多个逗号分割
    * @return fileNamesNotList
    */
    public List<String> getFileNamesNotList(){
        return this.fileNamesNotList;
    }

    /**
    * 设置 附件名称，多个逗号分割
    * @param fileNamesNotList
    */
    public void setFileNamesNotList(List<String> fileNamesNotList){
        this.fileNamesNotList = fileNamesNotList;
    }

    /**
    * 获取 附件下载地址，多个逗号分割
    * @return filePathsList
    */
    public List<String> getFilePathsList(){
        return this.filePathsList;
    }

    /**
    * 设置 附件下载地址，多个逗号分割
    * @param filePathsList
    */
    public void setFilePathsList(List<String> filePathsList){
        this.filePathsList = filePathsList;
    }

    /**
    * 获取 附件下载地址，多个逗号分割
    * @return filePathsNotList
    */
    public List<String> getFilePathsNotList(){
        return this.filePathsNotList;
    }

    /**
    * 设置 附件下载地址，多个逗号分割
    * @param filePathsNotList
    */
    public void setFilePathsNotList(List<String> filePathsNotList){
        this.filePathsNotList = filePathsNotList;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public CheckGoworkRecordQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public CheckGoworkRecordQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public CheckGoworkRecordQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public CheckGoworkRecordQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public CheckGoworkRecordQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public CheckGoworkRecordQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  记录ID
    * @param recordId
    */
    public CheckGoworkRecordQuery recordId(Long recordId){
	    setRecordId(recordId);
		return this;
    }
	
	 /**
    * 设置 开始 记录ID
    * @param recordIdStart
    */
    public CheckGoworkRecordQuery recordIdStart(Long recordIdStart){
		this.recordIdStart = recordIdStart;
		return this;
    }

    /**
    * 设置 结束 记录ID
    * @param recordIdEnd
    */
    public CheckGoworkRecordQuery recordIdEnd(Long recordIdEnd){
		this.recordIdEnd = recordIdEnd;
		return this;
    }

    /**
    * 设置 增加 记录ID
    * @param recordIdIncrement
    */
    public CheckGoworkRecordQuery recordIdIncrement(Long recordIdIncrement){
		this.recordIdIncrement = recordIdIncrement;
		return this;
    }

    /**
    * 设置 记录ID
    * @param recordIdList
    */
    public CheckGoworkRecordQuery recordIdList(List<Long> recordIdList){
        this.recordIdList = recordIdList;
		return this;
        }

        /**
        * 设置 记录ID
        * @param recordIdNotList
        */
        public CheckGoworkRecordQuery recordIdNotList(List<Long> recordIdNotList){
        this.recordIdNotList = recordIdNotList;
        return this;
        }

    /**
    * 设置  员工ID
    * @param staffId
    */
    public CheckGoworkRecordQuery staffId(Long staffId){
	    setStaffId(staffId);
		return this;
    }
	
	 /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public CheckGoworkRecordQuery staffIdStart(Long staffIdStart){
		this.staffIdStart = staffIdStart;
		return this;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public CheckGoworkRecordQuery staffIdEnd(Long staffIdEnd){
		this.staffIdEnd = staffIdEnd;
		return this;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public CheckGoworkRecordQuery staffIdIncrement(Long staffIdIncrement){
		this.staffIdIncrement = staffIdIncrement;
		return this;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public CheckGoworkRecordQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
		return this;
        }

        /**
        * 设置 员工ID
        * @param staffIdNotList
        */
        public CheckGoworkRecordQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
        }


	/**
    * 设置 员工姓名
    * @param staffName
    */
    public CheckGoworkRecordQuery staffName(String staffName){
        setStaffName(staffName);
		return this;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public CheckGoworkRecordQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
		return this;
    }


	/**
    * 设置 工号
    * @param workNum
    */
    public CheckGoworkRecordQuery workNum(String workNum){
        setWorkNum(workNum);
		return this;
    }

    /**
    * 设置 工号
    * @param workNumList
    */
    public CheckGoworkRecordQuery workNumList(List<String> workNumList){
        this.workNumList = workNumList;
		return this;
    }


	/**
    * 设置 窗口编号
    * @param windowNum
    */
    public CheckGoworkRecordQuery windowNum(String windowNum){
        setWindowNum(windowNum);
		return this;
    }

    /**
    * 设置 窗口编号
    * @param windowNumList
    */
    public CheckGoworkRecordQuery windowNumList(List<String> windowNumList){
        this.windowNumList = windowNumList;
		return this;
    }

    /**
    * 设置  所属部门
    * @param deptId
    */
    public CheckGoworkRecordQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public CheckGoworkRecordQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public CheckGoworkRecordQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public CheckGoworkRecordQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public CheckGoworkRecordQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }

        /**
        * 设置 所属部门
        * @param deptIdNotList
        */
        public CheckGoworkRecordQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
        }


	/**
    * 设置 所属部门名称
    * @param deptName
    */
    public CheckGoworkRecordQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public CheckGoworkRecordQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }


	/**
    * 设置 办件编码
    * @param goworkCode
    */
    public CheckGoworkRecordQuery goworkCode(String goworkCode){
        setGoworkCode(goworkCode);
		return this;
    }

    /**
    * 设置 办件编码
    * @param goworkCodeList
    */
    public CheckGoworkRecordQuery goworkCodeList(List<String> goworkCodeList){
        this.goworkCodeList = goworkCodeList;
		return this;
    }


	/**
    * 设置 办件所属部门
    * @param goworkDepts
    */
    public CheckGoworkRecordQuery goworkDepts(String goworkDepts){
        setGoworkDepts(goworkDepts);
		return this;
    }

    /**
    * 设置 办件所属部门
    * @param goworkDeptsList
    */
    public CheckGoworkRecordQuery goworkDeptsList(List<String> goworkDeptsList){
        this.goworkDeptsList = goworkDeptsList;
		return this;
    }


	/**
    * 设置 事项名称
    * @param matterlName
    */
    public CheckGoworkRecordQuery matterlName(String matterlName){
        setMatterlName(matterlName);
		return this;
    }

    /**
    * 设置 事项名称
    * @param matterlNameList
    */
    public CheckGoworkRecordQuery matterlNameList(List<String> matterlNameList){
        this.matterlNameList = matterlNameList;
		return this;
    }


    /**
    * 设置  绩效规则id
    * @param ruleId
    */
    public CheckGoworkRecordQuery ruleId(Long ruleId){
	    setRuleId(ruleId);
		return this;
    }
	
	 /**
    * 设置 开始 绩效规则id
    * @param ruleIdStart
    */
    public CheckGoworkRecordQuery ruleIdStart(Long ruleIdStart){
		this.ruleIdStart = ruleIdStart;
		return this;
    }

    /**
    * 设置 结束 绩效规则id
    * @param ruleIdEnd
    */
    public CheckGoworkRecordQuery ruleIdEnd(Long ruleIdEnd){
		this.ruleIdEnd = ruleIdEnd;
		return this;
    }

    /**
    * 设置 增加 绩效规则id
    * @param ruleIdIncrement
    */
    public CheckGoworkRecordQuery ruleIdIncrement(Long ruleIdIncrement){
		this.ruleIdIncrement = ruleIdIncrement;
		return this;
    }

    /**
    * 设置 绩效规则id
    * @param ruleIdList
    */
    public CheckGoworkRecordQuery ruleIdList(List<Long> ruleIdList){
        this.ruleIdList = ruleIdList;
		return this;
        }

        /**
        * 设置 绩效规则id
        * @param ruleIdNotList
        */
        public CheckGoworkRecordQuery ruleIdNotList(List<Long> ruleIdNotList){
        this.ruleIdNotList = ruleIdNotList;
        return this;
        }


	/**
    * 设置 规则名称
    * @param ruleName
    */
    public CheckGoworkRecordQuery ruleName(String ruleName){
        setRuleName(ruleName);
		return this;
    }

    /**
    * 设置 规则名称
    * @param ruleNameList
    */
    public CheckGoworkRecordQuery ruleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
		return this;
    }

    /**
    * 设置  扣分方式(1.系统自动,2.人工添加)
    * @param subMethod
    */
    public CheckGoworkRecordQuery subMethod(Integer subMethod){
	    setSubMethod(subMethod);
		return this;
    }
	
	 /**
    * 设置 开始 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodStart
    */
    public CheckGoworkRecordQuery subMethodStart(Integer subMethodStart){
		this.subMethodStart = subMethodStart;
		return this;
    }

    /**
    * 设置 结束 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodEnd
    */
    public CheckGoworkRecordQuery subMethodEnd(Integer subMethodEnd){
		this.subMethodEnd = subMethodEnd;
		return this;
    }

    /**
    * 设置 增加 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodIncrement
    */
    public CheckGoworkRecordQuery subMethodIncrement(Integer subMethodIncrement){
		this.subMethodIncrement = subMethodIncrement;
		return this;
    }

    /**
    * 设置 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodList
    */
    public CheckGoworkRecordQuery subMethodList(List<Integer> subMethodList){
        this.subMethodList = subMethodList;
		return this;
        }

        /**
        * 设置 扣分方式(1.系统自动,2.人工添加)
        * @param subMethodNotList
        */
        public CheckGoworkRecordQuery subMethodNotList(List<Integer> subMethodNotList){
        this.subMethodNotList = subMethodNotList;
        return this;
        }


	/**
    * 设置 扣分人员
    * @param deductPerson
    */
    public CheckGoworkRecordQuery deductPerson(String deductPerson){
        setDeductPerson(deductPerson);
		return this;
    }

    /**
    * 设置 扣分人员
    * @param deductPersonList
    */
    public CheckGoworkRecordQuery deductPersonList(List<String> deductPersonList){
        this.deductPersonList = deductPersonList;
		return this;
    }


    /**
    * 设置  扣分或增加分值
    * @param score
    */
    public CheckGoworkRecordQuery score(BigDecimal score){
	    setScore(score);
		return this;
    }
	
	 /**
    * 设置 开始 扣分或增加分值
    * @param scoreStart
    */
    public CheckGoworkRecordQuery scoreStart(BigDecimal scoreStart){
		this.scoreStart = scoreStart;
		return this;
    }

    /**
    * 设置 结束 扣分或增加分值
    * @param scoreEnd
    */
    public CheckGoworkRecordQuery scoreEnd(BigDecimal scoreEnd){
		this.scoreEnd = scoreEnd;
		return this;
    }

    /**
    * 设置 增加 扣分或增加分值
    * @param scoreIncrement
    */
    public CheckGoworkRecordQuery scoreIncrement(BigDecimal scoreIncrement){
		this.scoreIncrement = scoreIncrement;
		return this;
    }

    /**
    * 设置 扣分或增加分值
    * @param scoreList
    */
    public CheckGoworkRecordQuery scoreList(List<BigDecimal> scoreList){
        this.scoreList = scoreList;
		return this;
        }

        /**
        * 设置 扣分或增加分值
        * @param scoreNotList
        */
        public CheckGoworkRecordQuery scoreNotList(List<BigDecimal> scoreNotList){
        this.scoreNotList = scoreNotList;
        return this;
        }


	/**
    * 设置 核查人员
    * @param checkPerson
    */
    public CheckGoworkRecordQuery checkPerson(String checkPerson){
        setCheckPerson(checkPerson);
		return this;
    }

    /**
    * 设置 核查人员
    * @param checkPersonList
    */
    public CheckGoworkRecordQuery checkPersonList(List<String> checkPersonList){
        this.checkPersonList = checkPersonList;
		return this;
    }



	/**
    * 设置 核查说明
    * @param checkDesc
    */
    public CheckGoworkRecordQuery checkDesc(String checkDesc){
        setCheckDesc(checkDesc);
		return this;
    }

    /**
    * 设置 核查说明
    * @param checkDescList
    */
    public CheckGoworkRecordQuery checkDescList(List<String> checkDescList){
        this.checkDescList = checkDescList;
		return this;
    }


	/**
    * 设置 核查结果
    * @param checkResult
    */
    public CheckGoworkRecordQuery checkResult(String checkResult){
        setCheckResult(checkResult);
		return this;
    }

    /**
    * 设置 核查结果
    * @param checkResultList
    */
    public CheckGoworkRecordQuery checkResultList(List<String> checkResultList){
        this.checkResultList = checkResultList;
		return this;
    }

    /**
    * 设置  处理状态(1.未处理,2.已处理)
    * @param checkStatus
    */
    public CheckGoworkRecordQuery checkStatus(Integer checkStatus){
	    setCheckStatus(checkStatus);
		return this;
    }
	
	 /**
    * 设置 开始 处理状态(1.未处理,2.已处理)
    * @param checkStatusStart
    */
    public CheckGoworkRecordQuery checkStatusStart(Integer checkStatusStart){
		this.checkStatusStart = checkStatusStart;
		return this;
    }

    /**
    * 设置 结束 处理状态(1.未处理,2.已处理)
    * @param checkStatusEnd
    */
    public CheckGoworkRecordQuery checkStatusEnd(Integer checkStatusEnd){
		this.checkStatusEnd = checkStatusEnd;
		return this;
    }

    /**
    * 设置 增加 处理状态(1.未处理,2.已处理)
    * @param checkStatusIncrement
    */
    public CheckGoworkRecordQuery checkStatusIncrement(Integer checkStatusIncrement){
		this.checkStatusIncrement = checkStatusIncrement;
		return this;
    }

    /**
    * 设置 处理状态(1.未处理,2.已处理)
    * @param checkStatusList
    */
    public CheckGoworkRecordQuery checkStatusList(List<Integer> checkStatusList){
        this.checkStatusList = checkStatusList;
		return this;
        }

        /**
        * 设置 处理状态(1.未处理,2.已处理)
        * @param checkStatusNotList
        */
        public CheckGoworkRecordQuery checkStatusNotList(List<Integer> checkStatusNotList){
        this.checkStatusNotList = checkStatusNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public CheckGoworkRecordQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public CheckGoworkRecordQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public CheckGoworkRecordQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public CheckGoworkRecordQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public CheckGoworkRecordQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public CheckGoworkRecordQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public CheckGoworkRecordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public CheckGoworkRecordQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public CheckGoworkRecordQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public CheckGoworkRecordQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public CheckGoworkRecordQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public CheckGoworkRecordQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public CheckGoworkRecordQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public CheckGoworkRecordQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }



	/**
    * 设置 附件名称，多个逗号分割
    * @param fileNames
    */
    public CheckGoworkRecordQuery fileNames(String fileNames){
        setFileNames(fileNames);
		return this;
    }

    /**
    * 设置 附件名称，多个逗号分割
    * @param fileNamesList
    */
    public CheckGoworkRecordQuery fileNamesList(List<String> fileNamesList){
        this.fileNamesList = fileNamesList;
		return this;
    }


	/**
    * 设置 附件下载地址，多个逗号分割
    * @param filePaths
    */
    public CheckGoworkRecordQuery filePaths(String filePaths){
        setFilePaths(filePaths);
		return this;
    }

    /**
    * 设置 附件下载地址，多个逗号分割
    * @param filePathsList
    */
    public CheckGoworkRecordQuery filePathsList(List<String> filePathsList){
        this.filePathsList = filePathsList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<CheckGoworkRecordQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<CheckGoworkRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<CheckGoworkRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<CheckGoworkRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}